<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXDatePicker?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.jfoenix.controls.JFXTreeTableView?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.StackPane?>
<?import javafx.scene.text.Font?>

<StackPane fx:id="stackepane" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="730.0" prefWidth="1366.0" xmlns="http://javafx.com/javafx/8.0.111" xmlns:fx="http://javafx.com/fxml/1" fx:controller="af_employee.EmployeesScreenController">
   <children>
      <AnchorPane id="AnchorPane" prefHeight="730.0" prefWidth="1366.0" style="-fx-background-image:url(img/person-woman-hotel-laptop.jpg)">
         <children>
            <JFXTreeTableView fx:id="treeView" layoutX="544.0" layoutY="133.0" opacity="0.7" stylesheets="@hotel.css" AnchorPane.bottomAnchor="15.0" AnchorPane.leftAnchor="430.0" AnchorPane.rightAnchor="15.0" AnchorPane.topAnchor="15.0" />
            <Pane layoutX="34.0" layoutY="91.0" opacity="0.7" prefHeight="200.0" prefWidth="400.0" style="-fx-background-color: #fff; -fx-background-radius: 6px;" AnchorPane.bottomAnchor="15.0" AnchorPane.leftAnchor="15.0" AnchorPane.topAnchor="15.0">
               <children>
                  <Pane layoutX="25.0" layoutY="78.0" prefHeight="439.0" prefWidth="350.0" style="-fx-border-radius: 15; -fx-border-color: #ccc; -fx-border-width: 2px;">
                     <children>
                        <JFXTextField fx:id="username" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="24.0" prefWidth="220.0" promptText="Enter username" />
                        <Label layoutX="25.0" layoutY="28.0" text="Username">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="password" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="74.0" prefWidth="220.0" promptText="Enter password" />
                        <Label layoutX="25.0" layoutY="78.0" text="Password">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="fullName" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="124.0" prefWidth="220.0" promptText="Enter Full name" />
                        <Label layoutX="25.0" layoutY="128.0" text="Full Name">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="address" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="174.0" prefWidth="220.0" promptText="Enter Adress" />
                        <Label layoutX="25.0" layoutY="178.0" text="Address">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="phone" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="224.0" prefWidth="220.0" promptText="Enter Phone" />
                        <Label layoutX="25.0" layoutY="228.0" text="Phone">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <Label layoutX="25.0" layoutY="278.0" text="Start Date">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="salary" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="324.0" prefWidth="220.0" promptText="Salary" />
                        <Label layoutX="25.0" layoutY="328.0" text="Salary">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="userType" focusColor="#09e2a7" labelFloat="true" layoutX="106.0" layoutY="374.0" prefWidth="220.0" promptText="User Type" />
                        <Label layoutX="25.0" layoutY="378.0" text="User Type">
                           <font>
                              <Font name="System Bold" size="13.0" />
                           </font>
                        </Label>
                        <JFXDatePicker fx:id="startDate" layoutX="106.0" layoutY="275.0" prefHeight="25.0" prefWidth="220.0" promptText="Start Date" />
                     </children>
                  </Pane>
                  <Pane layoutX="23.0" layoutY="537.0" prefHeight="100.0" prefWidth="350.0" style="-fx-border-radius: 15; -fx-border-color: #ccc; -fx-border-width: 2px;">
                     <children>
                        <JFXButton buttonType="RAISED" layoutX="5.0" layoutY="38.0" onMouseClicked="#insert" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Insert" textFill="WHITE">
                           <font>
                              <Font size="14.0" />
                           </font>
                        </JFXButton>
                        <JFXButton buttonType="RAISED" layoutX="92.0" layoutY="38.0" onMouseClicked="#update" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Update" textFill="WHITE">
                           <font>
                              <Font size="14.0" />
                           </font>
                        </JFXButton>
                        <JFXButton buttonType="RAISED" layoutX="179.0" layoutY="38.0" onMouseClicked="#delete" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Delete" textFill="WHITE">
                           <font>
                              <Font size="14.0" />
                           </font>
                        </JFXButton>
                        <JFXButton buttonType="RAISED" layoutX="266.0" layoutY="38.0" onMouseClicked="#clear" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Clear" textFill="WHITE">
                           <font>
                              <Font size="14.0" />
                           </font>
                        </JFXButton>
                     </children>
                  </Pane>
                  <JFXButton buttonType="RAISED" layoutX="38.0" layoutY="19.0" onMouseClicked="#search" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Search" textFill="WHITE">
                     <font>
                        <Font size="14.0" />
                     </font>
                  </JFXButton>
                  <JFXTextField fx:id="search_text" focusColor="#09e2a7" labelFloat="true" layoutX="131.0" layoutY="19.0" prefHeight="25.0" prefWidth="220.0" promptText="Search by id" />
                  <JFXButton buttonType="RAISED" layoutX="112.0" layoutY="656.0" onMouseClicked="#back" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Back" textFill="WHITE">
                     <font>
                        <Font size="14.0" />
                     </font>
                  </JFXButton>
                  <JFXButton buttonType="RAISED" layoutX="203.0" layoutY="656.0" onMouseClicked="#close" prefHeight="30.0" prefWidth="80.0" ripplerFill="WHITE" style="-fx-background-color: #09e2a7;" text="Close" textFill="WHITE">
                     <font>
                        <Font size="14.0" />
                     </font>
                  </JFXButton>
               </children>
            </Pane>
         </children>
      </AnchorPane>
   </children>
</StackPane>
